<?php

namespace App\Database\Migrations;

use CodeIgniter\Database\Migration;

class AlterTableTarifasCheckPresupuestoClienteMigration extends Migration
{
    public function up()
    {
        $field = [
            'mostrar_en_presupuesto_cliente' => [
                'type' => 'BOOLEAN',
                'default' => false,
            ]
        ];
        $this->forge->addColumn('lg_tarifa_acabado',$field);
        $this->forge->addColumn('lg_tarifa_manipulado',$field);
        $this->forge->addColumn('tarifa_encuadernacion',$field);

    }

    public function down()
    {
        $this->forge->dropColumn('lg_tarifa_acabado','mostrar_en_presupuesto_cliente');
        $this->forge->dropColumn('lg_tarifa_manipulado','mostrar_en_presupuesto_cliente');
        $this->forge->dropColumn('tarifa_encuadernacion','mostrar_en_presupuesto_cliente');
    }
}
